require_relative '../resource'

module Tickethub
  class Channel::Coupon < Resource
    path '/channel/coupons'

    require_relative 'booking'

    collection :bookings, Channel::Booking

    attribute :valid_from, type: :date
    attribute :expires_on, type: :date
  end
end