require_relative '../resource'

module Tickethub
  class Channel::Fee < Resource
    path '/channel/fees'

    require_relative 'tax'
    require_relative 'booking'

    association :tax, Channel::Tax
    association :booking, Channel::Booking

    attribute :amount, type: :money
  end
end