require_relative '../resource'

module Tickethub
  class Channel::Option < Resource
    path '/channel/options'

    scope :dates, -> (params) { @endpoint[:dates].get(params).decoded }

    attribute :date_time, type: :datetime

    attribute :time, type: :time
    attribute :total, type: :money
  end
end