require_relative '../resource'

module Tickethub
  class Channel::Refund < Resource
    path '/channel/refunds'

    require_relative 'payment'

    association :payment, Channel::Payment

    attribute :amount, type: :money

    attribute :created_at, type: :datetime
    attribute :updated_at, type: :datetime
  end
end