require_relative '../resource'

module Tickethub
  class Channel::Supplier < Resource
    path '/channel/suppliers'

    require_relative '../contact'
    require_relative '../address'

    association :contact, Tickethub::Contact
    association :address, Tickethub::Address

    attribute :time_zone, type: :timezone
    attribute :currency, type: :currency

    attribute :created_at, type: :datetime
    attribute :updated_at, type: :datetime
  end
end