require_relative '../resource'

module Tickethub
  class Supplier::Channel < Resource
    path '/supplier/channels'

    require_relative 'reseller'
    require_relative 'product'

    require_relative '../token'

    collection :resellers, Supplier::Reseller
    collection :products, Supplier::Product
    collection :tokens, Tickethub::Token

    attribute :updated_at, type: :datetime
    attribute :created_at, type: :datetime
  end
end