require_relative '../resource'

module Tickethub
  class Supplier::Extra < Resource
    path '/supplier/extras'

    require_relative 'product'

    association :product, Supplier::Product

    attribute :price, type: :money

    attribute :created_at, type: :datetime
    attribute :updated_at, type: :datetime
  end
end