require_relative '../resource'

module Tickethub
  class Supplier::Fee < Resource
    path '/supplier/fees'

    require_relative 'tax'
    require_relative 'booking'

    association :tax, Supplier::Tax
    association :booking, Supplier::Booking

    attribute :amount, type: :money
  end
end