require_relative '../resource'

module Tickethub
  class Supplier::Rate < Resource
    path '/supplier/rates'

    require_relative 'product'
    require_relative 'reseller'

    collection :resellers, Supplier::Reseller

    association :product, Supplier::Product
  end
end