require_relative '../resource'

module Tickethub
  class Supplier::Shift < Resource
    path '/supplier/shifts'

    require_relative 'user'

    association :user, Supplier::User
    association :approved_by, Supplier::User

    attribute :date, type: :date
    attribute :approved_at, type: :datetime
    attribute :updated_at, type: :datetime
    attribute :created_at, type: :datetime 
  end
end