require_relative '../resource'

module Tickethub
  class Supplier::Tax < Resource
    path '/supplier/taxes'

    require_relative 'fee'
    require_relative 'product'
    require_relative 'reseller'

    association :product, Supplier::Product

    collection :fees, Supplier::Fee
    collection :resellers, Supplier::Reseller

    attribute :updated_at, type: :datetime
    attribute :created_at, type: :datetime 
  end
end