require_relative '../resource'

module Tickethub
  class Channel::Purchase < Resource
    path '/channel/purchases'

    require_relative 'booking'
    require_relative 'extra'

    association :booking, Channel::Booking
    association :extra, Channel::Extra

    attribute :price, type: :money
    attribute :total, type: :money

    attribute :updated_at, type: :datetime
    attribute :created_at, type: :datetime
  end
end