require_relative '../resource'

module Tickethub
  class Channel::Ticket < Resource
    path '/channel/tickets'

    require_relative 'booking'
    require_relative 'tier'

    association :booking, Channel::Booking
    association :tier, Channel::Tier

    attribute :price, type: :money
    attribute :interval, type: :duration

    attribute :last_scan_at, type: :datetime
    attribute :expires_at, type: :datetime
    attribute :updated_at, type: :datetime
    attribute :created_at, type: :datetime
  end
end