require_relative '../resource'

module Tickethub
  class Supplier::Coupon < Resource
    path '/supplier/coupons'

    require_relative 'booking'
    require_relative 'product'

    collection :bookings, Supplier::Booking

    association :product, Supplier::Product

    attribute :valid_from, type: :date
    attribute :expires_on, type: :date
  end
end