require_relative '../resource'

module Tickethub
  class Supplier::Discount < Resource
    path '/supplier/discounts'

    require_relative 'booking'

    association :booking, Supplier::Booking

    attribute :amount, type: :money

    attribute :created_at, type: :datetime
    attribute :updated_at, type: :datetime
  end
end