module Tickethub
  class Supplier::Dispute < Resource
    path '/supplier/disputes'

    require_relative 'adjustment'

    collection :adjustments, Supplier::Adjustment

    attribute :amount, type: :money
    attribute :created_at, type: :datetime
    attribute :updated_at, type: :datetime
  end
end