require_relative '../resource'

module Tickethub
  class Supplier::Invoice < Resource
    path '/supplier/invoices'

    require_relative 'reseller'

    attribute :from, type: :date
    attribute :to, type: :date
    attribute :due_on, type: :date

    attribute :paid_at, type: :datetime

    attribute :created_at, type: :datetime
    attribute :updated_at, type: :datetime

    association :reseller, Supplier::Reseller
  end
end