require_relative '../payment'

module Tickethub
  class Supplier::Payment::Stripe < Supplier::Payment
    polymorphic 'StripePayment', :stripe

    require_relative '../source'
    require_relative '../dispute'
    require_relative '../../address'

    association :dispute, Supplier::Dispute
    association :source, Supplier::Source
    association :transfer, Supplier::Transfer
  end
end