require_relative '../resource'

module Tickethub
  class Supplier::Purchase < Resource
    path '/supplier/purchases'

    require_relative 'booking'
    require_relative 'extra'

    association :booking, Supplier::Booking
    association :extra, Supplier::Extra

    attribute :price, type: :money
    attribute :total, type: :money

    attribute :updated_at, type: :datetime
    attribute :created_at, type: :datetime
  end
end