require_relative '../resource'

module Tickethub
  class Supplier::Scan < Resource
    path '/supplier/scans'

    require_relative 'ticket'
    require_relative 'user'

    collection :tickets, Supplier::Ticket
    association :user, Supplier::User

    attribute :at, type: :datetime
    attribute :updated_at, type: :datetime
    attribute :created_at, type: :datetime 
  end
end