require_relative '../resource'

module Tickethub
  class Supplier::Tier < Resource
    path '/supplier/tiers'

    require_relative 'product'

    association :product, Supplier::Product

    attribute :price, type: :money
    attribute :retail, type: :money

    attribute :notice, type: :duration
    attribute :period, type: :duration

    attribute :interval, type: :duration
    attribute :duration, type: :duration
  end
end